3 Replies Latest reply on Mar 9, 2010 10:19 AM by Darrell Loverin

    Skins and RSL

    s.lanton Level 1

      I get the error

      VerifyError: Error #1014: Class spark.skins::SparkSkin could not be found.

      and have read that you have to  use merged into code not the rsl . Any idea when this will be fixed?

        • 1. Re: Skins and RSL
          Darrell Loverin Level 4

          It's been fixed for while. The bug was in Flash Builder so that's what you will need to upgrade.

           

           

          -Darrell

          • 2. Re: Skins and RSL
            s.lanton Level 1

            Thanks for that. By upgrade to you mean the nightly builds or is there a Flash Player upgrade elsewhere?


            • 3. Re: Skins and RSL
              Darrell Loverin Level 4

              Sorry, my bad. There doesn't seem to be a version Flash Builder 4 newer than Beta 2 available for download.

               

              The problem has to do with FB copying the spark RSL from the Flex SDK to the debug and/or release directories. The sparkSkins RSL ends up being  copied instead of the spark RSL. There are a couple of ways to work around the problem.

               

              1. For debug and release builds, remove spark.swc and sparkskins.swc from using framework linkage but otherwise link with RSLs.

              2. For release builds, copy the spark RSL from the SDK to the deployment directory manually.

               

               

              -Darrell